PassThrough Requests for getting the Application related fields

Sample PassThrough requeats for getting the list of possible values of source, institute, major, and degree fields in create application Api for Greenhouse.

List Sources

Use the id field, in the response, as source in create application api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "sources"
}' 

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "[{\"id\":4018988007,\"created_at\":\"2025-12-18T16:30:14.718Z\",\"updated_at\":\"2025-12-18T16:30:14.718Z\",\"name\":\"Aplaix\",\"type\":{\"id\":4000014007,\"name\":\"Prospecting\"}},{\"id\":4018987007,\"created_at\":\"2025-12-18T15:22:29.127Z\",\"updated_at\":\"2025-12-18T15:22:29.127Z\",\"name\":\"Faceview\",\"type\":{\"id\":4000014007,\"name\":\"Prospecting\"}}]\n",
            "headers": {
                "Content-Type": "application/json;charset=utf-8",
                "Connection": "keep-alive",
                "Date": "Wed, 01 Jul 2026 10:15:06 GMT",
                "Vary": "Accept-Encoding",
                "vary": "Accept-Encoding",
                "link": "<https://harvest.greenhouse.io/v3/sources?cursor=eyJxdWVyeSI6eyJwZXJfcGFnZSI6Mn0sInBlcl9wYWdlIjoyLCJpZCI6NDAxODg4NTAwNywicGFnZSI6Miwib3JpZ2luYWxfcmVxdWVzdF9pZCI6ImU4Zjc4YTdhOTFjNDRjNGExMTAyMjdkNTIyODdkNDk1In0%3D>; rel=\"next\"",
                "strict-transport-security": "max-age=31536000; includeSubDomains",
                "x-ratelimit-limit": "150",
                "x-ratelimit-remaining": "149",
                "x-ratelimit-reset": "1782900936",
                "etag": "W/\"a3871a17cf93430975c139b74bcc10a6\"",
                "cache-control": "max-age=0, private, must-revalidate",
                "x-request-id": "e8f78a7a91c44c4a110227d52287d495",
                "x-runtime": "0.052261",
                "x-frame-options": "sameorigin",
                "x-content-type-options": "nosniff",
                "x-xss-protection": "1; mode=block",
                "x-download-options": "noopen",
                "x-permitted-cross-domain-policies": "none",
                "referrer-policy": "strict-origin-when-cross-origin",
                "X-Cache": "Miss from cloudfront",
                "Via": "1.1 0619c524a034ea5bfb96b53ac504d63a.cloudfront.net (CloudFront)",
                "X-Amz-Cf-Pop": "BOM78-P11",
                "X-Amz-Cf-Id": "CghrfCRH6pY3mJRt2-SLr8Udp5yuQvi7XqWgHuCjr7-hiVzON7muPw==",
                "content-length": "324"
            }
        }
    }
}

List Institutes

Use the id field, in the response, as the institute in create application api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "custom_field_options?custom_field_key=school_name"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "[{\"id\":14224527007,\"custom_field_id\":4373411007,\"name\":\"Test School\",\"active\":true,\"created_at\":\"2025-04-08T07:30:49.026Z\",\"updated_at\":\"2025-04-08T07:30:49.026Z\",\"sort_order\":2464,\"external_id\":null},{\"id\":14224526007,\"custom_field_id\":4373411007,\"name\":\"IISc Bengaluru\",\"active\":true,\"created_at\":\"2025-04-08T07:21:16.444Z\",\"updated_at\":\"2025-04-08T07:21:16.444Z\",\"sort_order\":2463,\"external_id\":null}]\n",
            "headers": {
                "Content-Type": "application/json;charset=utf-8",
                "Connection": "keep-alive",
                "Date": "Wed, 01 Jul 2026 10:18:29 GMT",
                "Vary": "Accept-Encoding",
                "vary": "Accept-Encoding",
                "link": "<https://harvest.greenhouse.io/v3/custom_field_options?cursor=eyJxdWVyeSI6eyJjdXN0b21fZmllbGRfa2V5Ijoic2Nob29sX25hbWUiLCJwZXJfcGFnZSI6Mn0sInBlcl9wYWdlIjoyLCJpZCI6NjY1MTgyNjAwNywicGFnZSI6Miwib3JpZ2luYWxfcmVxdWVzdF9pZCI6IjhiMDBkNGY2MWExOTlhNjk4ZWE2ODQyZGJjNThkMTljIn0%3D>; rel=\"next\"",
                "strict-transport-security": "max-age=31536000; includeSubDomains",
                "x-ratelimit-limit": "150",
                "x-ratelimit-remaining": "149",
                "x-ratelimit-reset": "1782901139",
                "etag": "W/\"53b28352cd1b2c143bef1f4b2fcc2562\"",
                "cache-control": "max-age=0, private, must-revalidate",
                "x-request-id": "8b00d4f61a199a698ea6842dbc58d19c",
                "x-runtime": "0.039769",
                "x-frame-options": "sameorigin",
                "x-content-type-options": "nosniff",
                "x-xss-protection": "1; mode=block",
                "x-download-options": "noopen",
                "x-permitted-cross-domain-policies": "none",
                "referrer-policy": "strict-origin-when-cross-origin",
                "X-Cache": "Miss from cloudfront",
                "Via": "1.1 90fe7ca2c454c7e60ff047b2b19dacc0.cloudfront.net (CloudFront)",
                "X-Amz-Cf-Pop": "BOM78-P11",
                "X-Amz-Cf-Id": "tyzoc-gq6xK5KX249qeTVmNc7xXZI8lmuJY3iusY2wvBYFHIC2vbzg==",
                "content-length": "405"
            }
        }
    }
}


List Degrees

Use the id field, in the response, as the degree in create application api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "custom_field_options?custom_field_key=degree"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "[{\"id\":6651836007,\"custom_field_id\":4373412007,\"name\":\"Other\",\"active\":true,\"created_at\":\"2023-06-15T13:48:15.720Z\",\"updated_at\":\"2023-06-15T13:48:15.720Z\",\"sort_order\":9,\"external_id\":null},{\"id\":6651835007,\"custom_field_id\":4373412007,\"name\":\"Engineer's Degree\",\"active\":true,\"created_at\":\"2023-06-15T13:48:15.718Z\",\"updated_at\":\"2023-06-15T13:48:15.718Z\",\"sort_order\":8,\"external_id\":null}]\n",
            "headers": {
                "Content-Type": "application/json;charset=utf-8",
                "Connection": "keep-alive",
                "Date": "Wed, 01 Jul 2026 10:19:25 GMT",
                "Vary": "Accept-Encoding",
                "vary": "Accept-Encoding",
                "link": "<https://harvest.greenhouse.io/v3/custom_field_options?cursor=eyJxdWVyeSI6eyJjdXN0b21fZmllbGRfa2V5IjoiZGVncmVlIiwicGVyX3BhZ2UiOjJ9LCJwZXJfcGFnZSI6MiwiaWQiOjY2NTE4MzQwMDcsInBhZ2UiOjIsIm9yaWdpbmFsX3JlcXVlc3RfaWQiOiJjNTFhOTFlNTgxNTJjZDFlODAzMDU5YWVkY2U4N2U3MCJ9>; rel=\"next\"",
                "strict-transport-security": "max-age=31536000; includeSubDomains",
                "x-ratelimit-limit": "150",
                "x-ratelimit-remaining": "149",
                "x-ratelimit-reset": "1782901195",
                "etag": "W/\"fe9aaeca0b5173cce9a4d44e70098362\"",
                "cache-control": "max-age=0, private, must-revalidate",
                "x-request-id": "c51a91e58152cd1e803059aedce87e70",
                "x-runtime": "0.036769",
                "x-frame-options": "sameorigin",
                "x-content-type-options": "nosniff",
                "x-xss-protection": "1; mode=block",
                "x-download-options": "noopen",
                "x-permitted-cross-domain-policies": "none",
                "referrer-policy": "strict-origin-when-cross-origin",
                "X-Cache": "Miss from cloudfront",
                "Via": "1.1 38f1d1cdac35c3501e8000f0b7b87254.cloudfront.net (CloudFront)",
                "X-Amz-Cf-Pop": "BOM78-P11",
                "X-Amz-Cf-Id": "cZOzkOCLxbOT26MuegmE2ECo1gzjkOb5YJ0QaA7ErYf53yH-P3dIzw==",
                "content-length": "394"
            }
        }
    }
}


List Majors

Use the id field, in the response, as major in create application api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "custom_field_options?custom_field_key=discipline"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "[{\"id\":6651908007,\"custom_field_id\":4373413007,\"name\":\"Other\",\"active\":true,\"created_at\":\"2023-06-15T13:48:15.936Z\",\"updated_at\":\"2023-06-15T13:48:15.936Z\",\"sort_order\":71,\"external_id\":null},{\"id\":6651907007,\"custom_field_id\":4373413007,\"name\":\"Veterinary Medicine\",\"active\":true,\"created_at\":\"2023-06-15T13:48:15.934Z\",\"updated_at\":\"2023-06-15T13:48:15.934Z\",\"sort_order\":70,\"external_id\":null}]\n",
            "headers": {
                "Content-Type": "application/json;charset=utf-8",
                "Connection": "keep-alive",
                "Date": "Wed, 01 Jul 2026 10:20:59 GMT",
                "Vary": "Accept-Encoding",
                "vary": "Accept-Encoding",
                "link": "<https://harvest.greenhouse.io/v3/custom_field_options?cursor=eyJxdWVyeSI6eyJjdXN0b21fZmllbGRfa2V5IjoiZGlzY2lwbGluZSIsInBlcl9wYWdlIjoyfSwicGVyX3BhZ2UiOjIsImlkIjo2NjUxOTA2MDA3LCJwYWdlIjoyLCJvcmlnaW5hbF9yZXF1ZXN0X2lkIjoiZWNhMDQyMzRmYWNiN2JjMjY5MmYwOTE5YTM1ODZkNGUifQ%3D%3D>; rel=\"next\"",
                "strict-transport-security": "max-age=31536000; includeSubDomains",
                "x-ratelimit-limit": "150",
                "x-ratelimit-remaining": "149",
                "x-ratelimit-reset": "1782901289",
                "etag": "W/\"25d8c5cb06d9892f985499faa685a55a\"",
                "cache-control": "max-age=0, private, must-revalidate",
                "x-request-id": "eca04234facb7bc2692f0919a3586d4e",
                "x-runtime": "0.031006",
                "x-frame-options": "sameorigin",
                "x-content-type-options": "nosniff",
                "x-xss-protection": "1; mode=block",
                "x-download-options": "noopen",
                "x-permitted-cross-domain-policies": "none",
                "referrer-policy": "strict-origin-when-cross-origin",
                "X-Cache": "Miss from cloudfront",
                "Via": "1.1 90fe7ca2c454c7e60ff047b2b19dacc0.cloudfront.net (CloudFront)",
                "X-Amz-Cf-Pop": "BOM78-P11",
                "X-Amz-Cf-Id": "L2sukis9G5BGRcb03koQgN5j13uctUxdxt-LHhLnjKRgL4_M6Yo5KA==",
                "content-length": "398"
            }
        }
    }
}